Shadowsocks-windows: 4.0.6版本的插件功能我不会填写,虽然我服务器上已经部署了kcptun和obfs功能

Created on 9 Sep 2017  ·  24Comments  ·  Source: shadowsocks/shadowsocks-windows

Please read Wiki carefully, especially https://github.com/shadowsocks/shadowsocks-windows/wiki/Troubleshooting.
Please answer these questions before submitting your issue. Thanks!
4.0.6版本增加了插件功能,无奈,不会使用。

Version(release version or AppVeyor link)

4.0.6

Environment(Operating system, .NET Framework, etc)

win10

Steps you have tried

我尝试在插件栏中填写插件客户端的绝对地址,看来是可行的,可是插件选项填的格式似乎不对,导致整个ss无法使用了,只好去掉了插件客户端的绝对地址和插件选项的填写。

What did you expect to see?

使用插件功能

What did you see instead?

教我插件那一栏填什么?插件选项里面填的格式是什么?谢谢!

Config and error log in detail (with all sensitive info masked)

Most helpful comment

See the command line example of ss-local with a obfs plugin in SIP003:

ss-local -c config.json --plugin obfs-local --plugin-opts "obfs=http;obfs-host=www.baidu.com"

and in shadowsocks-windows it should be like this:

plugin: obfs-local
plugin-opts: obfs=http;obfs-host=www.baidu.com

put your obfs-local.exe in the same folder as shadowsocks.exe and it should work.

All 24 comments

See the command line example of ss-local with a obfs plugin in SIP003:

ss-local -c config.json --plugin obfs-local --plugin-opts "obfs=http;obfs-host=www.baidu.com"

and in shadowsocks-windows it should be like this:

plugin: obfs-local
plugin-opts: obfs=http;obfs-host=www.baidu.com

put your obfs-local.exe in the same folder as shadowsocks.exe and it should work.

thank you, and what about the kcptun, is that should be like this:
plugin:kcptun
plugin-opts:key=xxxxxxxxx;mode=fast2

加了obfs后速度有变化吗?我这里加上插件配置后速度只有以前1/10不到了。

currently kcptun's implementation is not following SIP003. You cannot use it directly.

thank you @celeron533 .

@BarBulkathos hi, 能告诉我你在服务端怎么配置obfs的吗?我遇到了一个问题,
最近在鼓捣obfs,用了这个方法:

git clone https://github.com/shadowsocks/simple-obfs.git
cd simple-obfs
git submodule update --init --recursive
./autogen.sh
./configure && make
make install

,安装了obfs,然后在/etc/shadowsocks-libev/config.json中添加了

"plugin":"obfs-server",
"plugin_opts":"obfs=http"

按照网上的说法,服务端启用obfs,客户端即使不启用obfs也是应该能够上网的,
奇怪就奇怪在,我现在还不会使用obfs客户端,我想先试试不启用obfs,ss能够上网,
于是我用/etc/init.d/shadowsocks start启动ss服务端,客户端ss却上不了网了,
而如果用ss-server -c /etc/shadowsocks-libev/config.json -v开启ss服务端,ss客户端就算不启用obfs也能正常上网,两种方法有区别吗?我vi看了/etc/init.d/shadowsocks的内容,好像也没什么区别,
shadowsocks内容大概是这样的:

#!/bin/bash

chkconfig: 2345 90 10

description: A secure socks5 proxy, designed to protect your Internet traffic.

BEGIN INIT INFO

Provides: Shadowsocks-libev

Required-Start: $network $syslog

Required-Stop: $network

Default-Start: 2 3 4 5

Default-Stop: 0 1 6

Short-Description: Fast tunnel proxy that helps you bypass firewalls

Description: Start or stop the Shadowsocks-libev server

END INIT INFO

Author: Teddysun [email protected]

Source function library

. /etc/rc.d/init.d/functions

Check that networking is up.

[ ${NETWORKING} ="yes" ] || exit 0

if [ -f /usr/local/bin/ss-server ]; then
DAEMON=/usr/local/bin/ss-server
elif [ -f /usr/bin/ss-server ]; then
DAEMON=/usr/bin/ss-server
fi
NAME=Shadowsocks-libev
CONF=/etc/shadowsocks-libev/config.json
PID_DIR=/var/run
PID_FILE=$PID_DIR/shadowsocks-libev.pid
RET_VAL=0

[ -x $DAEMON ] || exit 0

if [ ! -d $PID_DIR ]; then
mkdir -p $PID_DIR
if [ $? -ne 0 ]; then
echo "Creating PID directory $PID_DIR failed"
exit 1
fi
fi

if [ ! -f $CONF ]; then
echo "$NAME config file $CONF not found"
exit 1
fi

do_start() {
if [ -f $PID_FILE ]; then
read PID < $PID_FILE
echo "$NAME (pid $PID) is already running..."
exit 0
else
echo -n $"Starting ${NAME}: "
daemon $DAEMON -u -c $CONF -f $PID_FILE
fi

RETVAL=$?
[ $RETVAL -eq 0 ] && success
echo
}

do_stop() {
echo -n $"Stopping ${NAME}: "
killproc -p $PID_FILE
RETVAL=$?
[ $RETVAL -eq 0 ]
rm -f $PID_FILE
echo
}

do_status() {
if [ -f $PID_FILE ]; then
read PID < $PID_FILE
echo "$NAME (pid $PID) is running..."
else
echo "$NAME is stopped"
RETVAL=1
fi
}

do_restart() {
do_stop
do_start
}

case "$1" in
start|stop|restart|status)
do_$1
;;
*)
echo "Usage: $0 { start | stop | restart | status }"
RET_VAL=1
;;
esac

exit $RETVAL

https://github.com/shadowsocks/shadowsocks-libev/issues/1674

这个帖子有人说是centos上obfs维护的不是很好,有人能解决这个问题吗?

@flashbarry 你说的是对的,服务端开启,客户端无论有没有配置,都可以正常使用。
@BarBulkathos billysingo说的exe文件哪里有下载?

@BarBulkathos 这是obfs的windows客户端吗?

@flashbarry 服务端开启,客户端无论有没有配置,都可以正常使用。但是客户端开obfs,参数配置错误就用不了。

@BarBulkathos 谢谢,我服务端配了obfs,客户端win没有开obfs,也上不了。

@tangshiba 加上那个插件后限速,不知道你用了后会这样吗?

@BarBulkathos 奇怪就奇怪在,我现在还不会使用obfs客户端,我想先试试不启用obfs,ss能够上网,
于是我用/etc/init.d/shadowsocks start启动ss服务端,客户端ss却上不了网了,
而如果用ss-server -c /etc/shadowsocks-libev/config.json -v开启ss服务端,ss客户端就算不启用obfs也能正常上网,两种方法有区别吗?具体的看我上面的长帖子。

@flashbarry https://sspai.com/post/39828 去看这个

会不会因为是我在ss服务器上又安装了kcptun服务端,导致obfs的这些问题,两者不能共存在服务器上?
could it because, I installed the kcptun server on the ss server,, and kcptun server cannot work with obfs-server?

@BarBulkathos
确实开启混淆后速度会变慢,所以关闭了

win上这个混淆严重影响速度。原先跑100Mbps以上,用了之后20Mbps艰难

问个题外话,能不能推荐SS好用的阿,本人新手不太了解,我在淘宝买的一个月快到期,有好推荐可以回复我,谢谢了

@shaonvwushi 可以自己买个服务器捣鼓捣鼓

@tangshiba ,我是偶然看到这个网站,求推荐购买的地址,ss账号,只需要购买地址。。。。服务器不会

@dragon100a 这个论坛怎么私聊的

有无window native的simple obfs binary?

obfs-local.exe效率太低,用了之后视频降速明显

Was this page helpful?
0 / 5 - 0 ratings